package org.xbib.interlibrary.db.zfl.postgresql;

import java.io.IOException;
import java.util.Map;
import org.xbib.interlibrary.db.AbstractOrderEventManager;
import org.xbib.interlibrary.db.DatabaseModule;
import org.xbib.jdbc.query.Table;

public class ZflEventManager extends AbstractOrderEventManager {

    public ZflEventManager(DatabaseModule manager) throws IOException {
        super(manager);
    }

    @Override
    protected Table readDeliveryOfOrderNumber(String key) {
        return databaseModule.getTable(readDeliveryStatement + " where key = :key", Map.of("key", key));
    }

    @Override
    protected Table readDeliveryOfLibrary(String isil, int days) {
        return databaseModule.getTable(readDeliveryStatement + " where library = :library and extract(day from sysdate - time) < :days order by id desc",
                        Map.of("library", isil, "days", days));
    }
}
