package org.xbib.interlibrary.db.zfl.postgresql;

import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import org.xbib.interlibrary.db.AbstractTemplateManager;
import org.xbib.interlibrary.db.DatabaseModule;
import org.xbib.interlibrary.db.table.TemplateTable;

public class ZflTemplateManager extends AbstractTemplateManager {

    public ZflTemplateManager(DatabaseModule manager) throws IOException {
        super(manager);
    }

    @Override
    protected void setTemplateTableClauses(TemplateTable table) {
        if (table.getWhere() == null) {
            table.setWhere(new ArrayList<>());
        }
        if (table.getParams() == null) {
            table.setParams(new HashMap<>());
        }
        if (table.getIsil() != null) {
            table.getParams().put("isil", table.getIsil());
        }
        if (table.getType() != null) {
            table.getParams().put("type", table.getType());
        }
        if (table.getName() != null) {
            table.getParams().put("name", table.getName());
        }
    }
}
