select /*+ FIRST_ROWS(1) */
    to_timestamp(to_char(i.zf6date,'DD.MM.YYYY') || ' ' || i.zf6uhr, 'DD.MM.YYYY HH24::MI::SS') as "ordertime",
    decode(m.zf1tan,
       'DUMMY', m.zf1bestellid,
       m.zf1tan) as "transactionid",
    req.zf10isil as "requesterisil",
    u.zf2bnr as "clientid",
    u.zf2vname || ' ' || u.zf2name as "clientname",
    t.zf8bemerkung as "clientcomment",
    t.zf8maxkostenkopie as "maxcost",
    case when instr(t.zf8info, 'Andere Ausgabe:: ja') > 0 then 'ja' else 'nein' end as "otheredition",
    case when instr(t.zf8info, 'Vormerkung:: ja') > 0 then 'ja' else 'nein' end as "reservation",
    e1.message as "pickuplocation",
    e2.message as "pickupcode",
    e3.message as "clientemail",
    e4.message as "clientaddress",
    e5.message as "externalrequester"
from zf1medien m
  inner join zf8titel t on m.zf1bestellid = t.zf8bestellid
  inner join zf6status i on m.zf1bestellid = i.zf6bestellid and i.zf6lfd = 1
  inner join zf10bibl req on m.zf1sigelnb_id = req.zf10id
  inner join zf2benutzer u on m.zf1bnr = u.zf2bnr and m.zf1sigelnb_id = u.zf2sigelnb_id
  left outer join event e1 on m.zf1bestellid = e1.ordernumber and e1.type = 'requestform' and e1.code = 'pickuplocation'
  left outer join event e2 on m.zf1bestellid = e2.ordernumber and e2.type = 'requestform' and e2.code = 'pickupcode'
  left outer join event e3 on m.zf1bestellid = e3.ordernumber and e3.type = 'requestform' and e3.code in ('clientemail','requesteremail')
  left outer join event e4 on m.zf1bestellid = e4.ordernumber and e4.type = 'requestform' and e4.code in ('clientaddress','requesteraddess')
  left outer join event e5 on m.zf1bestellid = e5.ordernumber and e5.type = 'requestform' and e5.code = 'externalrequester'
where m.zf1bestellid = :key
